Brigde Update


#1

Hello,

where can I find older Brigde Updates (2.14B)


#2

The question seems to be too heavy…


#3

Try this. Go to http://www.psaudio.com/ps_how/how-to-update-bridge-firmware/

Scroll down to the instructions for installing from your Bridge’s webpage. Follow them except instead of the “[latest version]” put in the number of the version you want (i.e., 0.2.14b), so paste http://updates.psaudio.com/bridge/upgrade-0.2.14.ub where indicated in the instructions (I’m not at home so I can’t check the exact syntax but I think the webpage shows an example right under the box where you paste the address so if that differs from what I put in, follow that example but with the version number you want).


#4

Hello,

the link is dead…


#5

here you go. EDIT[ I tried to upload the 2.14b.zip but for some reason it does not show up.]

Rumor has it that the latest Bridge update for the DS DAC 2.15 has great sound as well.

http://www.psaudio.com/support/downloads/


#6

Did they take down the old versions for some reason? There could have been a concern that people would install older, incompatible, versions in Bridges used in DSs.


#7
stevem2 said Did they take down the old versions for some reason? There could have been a concern that people would install older, incompatible, versions in Bridges used in DSs.
Exactly. 2.15 is backwards compatible.

Uwe

if you really need it, PM me your email address.

my suggestion is to stick with 2.15 though.


#8
gordon said here you go. EDIT[ I tried to upload the 2.14b.zip but for some reason it does not show up.]

Rumor has it that the latest Bridge update for the DS DAC 2.15 has great sound as well.

http://www.psaudio.com/support/downloads/


Is the 2.15 Bridge for DS just downloaded onto an sd card by itself and then installed at startup as the overall firmware was for the DS? Was just worried that this 2.15 might overwrite the overall DS firmware already there.

#9

How new is 2.15 …wondering how I missed it.


#10

2.15 is a bridge firmware that is installed from a USB stick or the bridge web page. There are instructions on the PSA support site.


#11
rogerdn said How new is 2.15 ...wondering how I missed it.
If you are using a Bridge with a DS you must be using 2.15 (or 2.15a). The Bridge won't work in the DS with an earlier version (if you did the upgrade from a PWD the instructions said to upgrade the Bridge first).

#12

Hello,

it would be nice if PS Audio would provide older software to download…